Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.command
Interface IdeCommandIconType

public interface IdeCommandIconType

Class `IdeCommandIconType` defines string constants for the possible icon state types.

These constants are used in IdeCommandItem.setIcon method.

Author:
  TogetherSoft

Field Summary
`final static String` | `DEFAULT` Default state.
`final static String` | `DISABLED` Disabled state.
`final static String` | `DISABLED_SELECTED` For toggle-like command items: the disabled selected state.
`final static String` | `PRESSED` Pressed state.
`final static String` | `ROLLOVER` When the cursor passes over the command item.
`final static String` | `ROLLOVER_SELECTED` For toggle-like command items: when the cursor passes over the selected command item.
`final static String` | `SELECTED` For toggle-like command items: a selected state.

Field Detail

### DEFAULT

    public final static String DEFAULT

  Default state.

### DISABLED

    public final static String DISABLED

  Disabled state.

### DISABLED_SELECTED

    public final static String DISABLED_SELECTED

  For toggle-like command items: the disabled selected state.

### PRESSED

    public final static String PRESSED

  Pressed state. For toggle-like command items SELECTED type is used instead.

### ROLLOVER

    public final static String ROLLOVER

  When the cursor passes over the command item.

### ROLLOVER_SELECTED

    public final static String ROLLOVER_SELECTED

  For toggle-like command items: when the cursor passes over the selected command item.

### SELECTED

    public final static String SELECTED

  For toggle-like command items: a selected state. For non-toggle-like command items PRESSED is used instead.

Association Links

to Class java.lang.String

  Default state.

to Class java.lang.String

  Pressed state. For toggle-like command items SELECTED type is used instead.

to Class java.lang.String

  Disabled state.

to Class java.lang.String

  For toggle-like command items: a selected state. For non-toggle-like command items PRESSED is used instead.

to Class java.lang.String

  For toggle-like command items: the disabled selected state.

to Class java.lang.String

  When the cursor passes over the command item.

to Class java.lang.String

  For toggle-like command items: when the cursor passes over the selected command item.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD